/**
 * DevExtreme (ui/drawer/ui.drawer.rendering.strategy.push.js)
 * Version: 18.2.0 (build 18207)
 * Build date: Thu Jul 26 2018
 *
 * Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var _uiDrawerRendering = require("./ui.drawer.rendering.strategy");
var _uiDrawerRendering2 = _interopRequireDefault(_uiDrawerRendering);
var _renderer = require("../../core/renderer");
var _renderer2 = _interopRequireDefault(_renderer);
var _translator = require("../../animation/translator");
var _translator2 = _interopRequireDefault(_translator);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}
var PushStrategy = _uiDrawerRendering2.default.inherit({
    renderPosition: function(offset, animate) {
        var _this = this;
        this.callBase(offset, animate);
        (0, _renderer2.default)(this._drawer.content()).css("paddingLeft", 0);
        var pos = this._getMenuWidth(offset) * this._drawer._getRTLSignCorrection();
        if (animate) {
            _uiDrawerRendering.animation.moveTo((0, _renderer2.default)(this._drawer.content()), pos, this._drawer.option("animationDuration"), function() {
                _this._contentAnimation.resolve();
                _this._menuAnimation.resolve()
            })
        } else {
            _translator2.default.move((0, _renderer2.default)(this._drawer.content()), {
                left: pos
            })
        }
    }
});
module.exports = PushStrategy;
