/**
 * DevExtreme (viz/sankey/tooltip.js)
 * Version: 18.2.0 (build 18207)
 * Build date: Thu Jul 26 2018
 *
 * Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.setTooltipCustomOptions = setTooltipCustomOptions;
var _extend = require("../../core/utils/extend").extend,
    isFunction = require("../../core/utils/type").isFunction;

function setTooltipCustomOptions(sankey) {
    sankey.prototype._setTooltipOptions = function() {
        var tooltip = this._tooltip,
            options = tooltip && this._getOption("tooltip");
        tooltip && tooltip.update(_extend({}, options, {
            customizeTooltip: function(args) {
                if ("node" === args.type && isFunction(options.customizeNodeTooltip)) {
                    return options.customizeNodeTooltip(args.info)
                } else {
                    if ("link" === args.type && isFunction(options.customizeLinkTooltip)) {
                        return options.customizeLinkTooltip(args.info)
                    }
                }
                return {}
            },
            enabled: options.enabled
        }))
    }
}
